Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 123)
@@ -2968,140 +1604,299 @@
                 IoAm = null;
             }
         }
+        #endregion
 
-        private bool CanEditDeposit(DepositOrderer depositOrderer)
+        #region 入金データ取得SQL
+        /// <summary>
+        /// 入金データを取得する。
+        /// </summary>
+        /// <returns></returns>
+        private ArrayList SelectDepositDataAll()
         {
-            // 担当者の場合
-            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
+            var depDb = new IODepositData();
+
+            try
             {
-                // 承認済みなら編集不可
-                if (depositOrderer.HasApprovedByApprover)
-                    return false;
-            }
-            // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
-            {
-                if (depositOrderer.HasApprovedByLastApprover)
-                    return false;
-            }
-            // 特別権限の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
-            {
-                if (depositOrderer.HasApprovedByLastApprover)
-                    return false;
-            }
-            return m_UserInfo.CanEditDeposit;
-        }
+                var sql = new StringBuilder();
+                sql.Append("SELECT DISTINCT ");
+                sql.Append("DEP.ORDERERSDIVISION ");
+                sql.Append(",DEP.ORDERERSCODE ");
+                sql.Append(",DEP.TARGETDATE ");
+                sql.Append(",DEP.SEQNO ");
+                sql.Append(",DATE_FORMAT(DEP.DEPOSITDATE,'%Y/%m/%d') AS DEPOSITDATE ");
+                sql.Append(",DEP.DEPOSITAMOUNTCASH ");
+                sql.Append(",DEP.DEPOSITAMOUNTBILL ");
+                sql.Append(",ORD.CORPORATESTATUSNAME ");
+                sql.Append(",ORD.CORPORATESTATUSPOINT ");
+                sql.Append(",ORD.ORDERERSNAME1 ");
+                sql.Append(",ORD.ORDERERSNAME2 ");
+                sql.Append("FROM ");
+                sql.Append("DEPOSITDATA DEP ");
+                sql.Append("INNER JOIN DEPOSITDATADETAIL DTL ON ");
+                sql.Append("DEP.ORDERERSDIVISION = DTL.ORDERERSDIVISION ");
+                sql.Append("AND DEP.ORDERERSCODE = DTL.ORDERERSCODE ");
+                sql.Append("AND DEP.TARGETDATE = DTL.TARGETDATE ");
+                sql.Append("AND DTL.SEQNO = 1 ");
 
-        private bool CanEditDepositDetail(DepositDetail depositDetail)
-        {
-            // 担当者の場合
-            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
-            {
-                // 承認済みなら編集不可
-                if (depositDetail.IsApprovedByStaff || depositDetail.IsApprovedByApprover)
-                    return false;
+                sql.Append("AND DTL.APPROVALENDFLG = 1 ");
+
+                /////////////////////////////////////////////////////////////////////////////
+                //　検索条件(動的)START
+                /////////////////////////////////////////////////////////////////////////////
+
+                // 営業期
+                sql.AppendFormat("AND DEP.BusinessPeriod = {0} ", m_Select_TargetBusinessPeriod);
+
+                // 対象月
+                if (!m_Select_TargetDate.Equals(0))
+                {
+                    sql.AppendFormat("AND SUBSTRING( DEP.TARGETDATE, 5 ) = {0} ", m_Select_TargetDate.ToString("00"));
+                }
+
+                // 担当者
+                if (!m_Select_TargetPerson.Equals(0))
+                {
+                    sql.AppendFormat("AND DTL.APPROVALPERSONCODE = {0} ", m_Select_TargetPerson);
+                }
+
+                // 部署
+                if (!m_Select_TargetDepartment.Equals(0))
+                {
+                    sql.Append("INNER JOIN personinchargemaster PERIM ");
+                    sql.Append("ON DTL.APPROVALPERSONCODE = PERIM.PersonCode ");
+                    sql.AppendFormat("AND PERIM.DepartmentCode = {0} ", m_Select_TargetDepartment);
+                }
+                /////////////////////////////////////////////////////////////////////////////
+                //　検索条件(動的)END
+                /////////////////////////////////////////////////////////////////////////////
+
+                sql.Append("INNER JOIN( ");
+                sql.Append("SELECT ");
+                sql.Append("ORDERERSDIVISION ");
+                sql.Append(",ORDERERSCODE");
+                sql.Append(",SUM(DEPOSITAMOUNT) AS DEPOSITAMOUNT_SUM ");
+                sql.Append("FROM ");
+                sql.Append("DEPOSITDATADETAIL DTL ");
+                sql.Append("GROUP BY ");
+                sql.Append("ORDERERSDIVISION ");
+                sql.Append(",ORDERERSCODE ");
+                sql.Append(") AS AMOUNT ");
+                sql.Append("ON AMOUNT.ORDERERSDIVISION = DEP.ORDERERSDIVISION ");
+                sql.Append("AND AMOUNT.ORDERERSCODE = DEP.ORDERERSCODE ");
+                sql.Append("LEFT JOIN ORDERERSMASTER ORD ON ");
+                sql.Append("DEP.ORDERERSDIVISION = ORD.ORDERCOTEGORY ");
+                sql.Append("AND DEP.ORDERERSCODE = ORD.ORDERERSCODE ");
+                sql.Append("WHERE ");
+                sql.Append("DTL.REQUESTNO IS NOT NULL ");
+
+                sql.Append("ORDER BY  ");
+                sql.Append("AMOUNT.DEPOSITAMOUNT_SUM DESC, DEP.DEPOSITDATE DESC");
+
+                var data = new ArrayList();
+                if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
+                return data;
             }
-            // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+            catch (Exception ex)
             {
-                // 上位の承認者でなければ編集不可
-                if (!IsUpperLevelApprover(depositDetail))
-                    return false;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return new ArrayList();
             }
-            // 特別権限の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+            finally
             {
-                if (depositDetail.IsApprovedByLastApprover)
-                    return false;
+                depDb.close();
+                depDb = null;
             }
-            return m_UserInfo.CanEditDepositDetail;
         }
+        #endregion
 
-        private bool IsUpperLevelApprover(DepositDetail depositDetail)
-        {
-            if (depositDetail.DepositApprovals.Count == 0)
-                return true;
-            var lastApproverIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalDate != "");
-            var myIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
-            return myIndex > lastApproverIndex;
-        }
-
+        #region 入金明細データ取得SQL
         /// <summary>
-        /// 編集用空白行追加
+        /// 入金明細データを取得する。
         /// </summary>
-        /// <param name="index"></param>
-        private void AddBlankRow(DepositOrderer depositOrderer, int index)
+        /// <param name="orderersDivision"></param>
+        /// <param name="orderersCode"></param>
+        /// <returns></returns>
+        //private ArrayList SelectDepositDetailData(int orderersDivision, int orderersCode, int targetDate)
+        private ArrayList SelectDepositDetailData(int orderersDivision, int orderersCode)
         {
-            var headerIndex = DetectHeaderIndex(index);
-            var headerCells = dgvMaster.Rows[headerIndex].Cells;
-            var blankIndex = dgvMaster.RowCount;
-            for (var i = headerIndex; i < dgvMaster.RowCount; i++)
+            var depDb = new IODepositData();
+
+            try
             {
-                var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersDivision].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value)
-                    || CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersCode].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value))
+                var sql = new StringBuilder();
+                sql.Append("SELECT ");
+                sql.Append("DepD.OrderersDivision, ");
+                sql.Append("DepD.OrderersCode, ");
+                sql.Append("DepD.TargetDate, ");
+                sql.Append("DepD.SeqNo, ");
+
+                sql.Append("null as DepositDate, ");
+                sql.Append("null, ");
+                sql.Append("null, ");
+                sql.Append("null, ");
+                sql.Append("null, ");
+                sql.Append("null, ");
+                sql.Append("null, ");
+
+                sql.Append("DepD.LineCount, ");
+                sql.Append("ifnull(DepD.RequestNo, 0) as RequestNo, ");
+                sql.Append("ifnull(DepD.OrderNo, 0) as OrderNo, ");
+                sql.Append("DepD.DepositAmount, ");
+                sql.Append("ifnull(DepD.DiscountAmount, 0) as DiscountAmount, ");
+                sql.Append("ifnull(DepD.CnstrPrice, 0) as CnstrPrice, ");
+                sql.Append("ifnull(DepD.Fees, 0) as Fees, ");
+                sql.Append("ifnull(DepD.OtherAdjustments, 0) as OtherAdjustments, ");
+                sql.Append("ifnull(DepD.CarryAmount, 0) as CarryAmount, ");
+                sql.Append("ifnull(DepD.ApprovalPersonCode, 0) as ApprovalPersonCode, ");
+                sql.Append("ifnull(DepD.ApprovalDate, 0) as ApprovalDate, ");
+                sql.Append("DepD.ApprovalEndFlg, ");
+                sql.Append("PicM.SealPrintName, ");
+                sql.Append("0, ");                                  //sql.Append("PicM2.DepartmentCode, ");
+                sql.Append("'' as BillCreationDate, ");             //sql.Append("DATE_FORMAT(ReqT.BillCreationDate, '%Y/%m/%d') as BillCreationDate, ");
+                sql.Append("0, ");                                  //sql.Append("ReqT.BillPrice, ");
+                sql.Append("0, ");                                  //sql.Append("ReqT.TaxPrice, ");
+                sql.Append("0, ");                                  //sql.Append("Cbi.ConstructionCode, ");
+                sql.Append("0, ");                                  //sql.Append("Cbi.ConstructionPersonCode, ");
+                sql.Append("0, ");                                  //sql.Append("Cbi.ConstrSubPersonCode, ");
+                sql.Append("0, ");                                  //sql.Append("Cbi.ConstructionInstructor, ");
+                sql.Append("0, ");                                 //sql.Append("CbiD.DetailNo, ");
+                sql.Append("ReqH.ReqConstructionName as DetailString ");           //sql.Append("CbiD.DetailString ");
+                sql.Append("FROM ");
+                sql.Append("DepositDataDetail AS DepD ");
+                sql.Append("INNER JOIN PersonInChargeMaster AS PicM ");
+                sql.Append("ON PicM.PersonCode = DepD.ApprovalPersonCode ");
+                /////////////////////////////////////////////////////////////////////////////
+                //　検索条件(動的)START
+                /////////////////////////////////////////////////////////////////////////////
+                // 担当者
+                if (!m_Select_TargetPerson.Equals(0))
                 {
-                    blankIndex = i;
-                    break;
+                    sql.AppendFormat("AND PicM.PersonCode = {0} ", m_Select_TargetPerson);
                 }
-            }
-            dgvMaster.Rows.Insert(blankIndex);
-            var row = dgvMaster.Rows[blankIndex];
-            row.ReadOnly = true;
-            row.Cells[(int)DispColumn.OrderersDivision].Value = headerCells[(int)DispColumn.OrderersDivision].Value;
-            row.Cells[(int)DispColumn.OrderersCode].Value = headerCells[(int)DispColumn.OrderersCode].Value;
-            var readOnly = !CanEditDeposit(depositOrderer);
-            row.Cells[(int)DispColumn.DepositDate].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
-        }
 
-        /// <summary>
-        /// ボタン制御
-        /// </summary>
-        private void ControlButton()
-        {
-        }
+                // 部署
+                if (!m_Select_TargetDepartment.Equals(0))
+                {
+                    sql.AppendFormat("AND PicM.DepartmentCode = {0} ", m_Select_TargetDepartment);
+                }
 
-        /// <summary>
-        /// 入金請求先情報を取得する。
-        /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private DepositOrderer FindDepositOrderer(int index)
-        {
-            var cells = dgvMaster.Rows[index].Cells;
-            var orderersDivision = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value);
-            var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
-            return FindDepositOrderer(orderersDivision, orderersCode);
+                sql.Append("INNER join DEPOSITDATA Dep ");
+                sql.Append("ON DepD.ORDERERSDIVISION = Dep.ORDERERSDIVISION ");
+                sql.Append("AND DepD.ORDERERSCODE = Dep.ORDERERSCODE ");
+                sql.Append("AND DepD.TARGETDATE = Dep.TARGETDATE ");
+                sql.Append("AND DepD.SEQNO = Dep.SEQNO ");
+
+                // 営業期
+                sql.AppendFormat("AND Dep.BusinessPeriod = {0} ", m_Select_TargetBusinessPeriod);
+
+                // 対象月
+                if (!m_Select_TargetDate.Equals(0))
+                {
+                    sql.AppendFormat("AND SUBSTRING( Dep.TARGETDATE, 5 ) = {0} ", m_Select_TargetDate.ToString("00"));
+                }
+                /////////////////////////////////////////////////////////////////////////////
+                //　検索条件(動的)END
+                /////////////////////////////////////////////////////////////////////////////
+                sql.Append("LEFT OUTER JOIN RequestHead AS ReqH ON DepD.RequestNo = ReqH.RequestNo ");
+                sql.Append("LEFT OUTER JOIN ApprovalMaster AS Am ON PicM.DepartmentCode = Am.DepartmentCode AND Am.ApprovalCode = 3 AND Am.ApprovalAuthority = 1 ");
+                sql.AppendFormat("WHERE DepD.OrderersDivision = {0} and DepD.OrderersCode = {1} and DepD.RequestNo IS NOT NULL ", orderersDivision, orderersCode);
+                sql.Append("GROUP BY ");
+                sql.Append("DepD.OrderersDivision, ");
+                sql.Append("DepD.OrderersCode, ");
+                sql.Append("DepD.TargetDate, ");
+                sql.Append("DepD.SeqNo, ");
+                sql.Append("DepD.LineCount, ");
+                sql.Append("DepD.RequestNo, ");
+                sql.Append("DepD.OrderNo, ");
+                sql.Append("DepD.DepositAmount, ");
+                sql.Append("DepD.DiscountAmount, ");
+                sql.Append("DepD.CnstrPrice, ");
+                sql.Append("DepD.Fees, ");
+                sql.Append("DepD.OtherAdjustments, ");
+                sql.Append("DepD.CarryAmount, ");
+                sql.Append("DepD.ApprovalPersonCode, ");
+                sql.Append("DepD.ApprovalDate, ");
+                sql.Append("DepD.ApprovalEndFlg, ");
+                sql.Append("PicM.SealPrintName, ");
+                sql.Append("ReqH.ReqConstructionName ");
+                sql.Append("ORDER BY DepD.OrderersDivision, DepD.OrderersCode, DepD.SeqNo, DepD.LineCount, DepD.RequestNo DESC, DepD.OrderNo DESC ");
+
+                var data = new ArrayList();
+                if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
+                return data;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return new ArrayList();
+            }
+            finally
+            {
+                depDb.close();
+                depDb = null;
+            }
         }
+        #endregion
 
+        #region 入金確認承認者取得
         /// <summary>
-        /// 入金請求先情報を取得する。
+        /// 入金確認承認データより、承認者を取得する。
         /// </summary>
         /// <param name="orderersDivision"></param>
         /// <param name="orderersCode"></param>
+        /// <param name="seqNo"></param>
+        /// <param name="lineCount"></param>
+        /// <param name="depositApprovals"></param>
         /// <returns></returns>
-        private DepositOrderer FindDepositOrderer(int orderersDivision, int orderersCode)
+        private bool SelectApprove(int orderersDivision, int orderersCode, int seqNo, int lineCount, ref List<DepositApprovalInfo> depositApprovals)
         {
-            return depositOrderers.Find(dh => !dh.Deleted && dh.OrderersDivision == orderersDivision && dh.OrderersCode == orderersCode);
+            IODepositApprovalInfo ioDai = new IODepositApprovalInfo();
+            try
+            {
+                var sql = string.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} order by ApprovalNo",
+                    orderersDivision, orderersCode, m_Select_TargetDate.ToString(), seqNo, lineCount);
+                if (!ioDai.SelectAction(sql, ref depositApprovals))
+                    return false;
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ioDai = null;
+            }
         }
+        #endregion
+        #endregion
 
+        #region イベント
+
+        #region 終了ボタンクリック時のイベント
         /// <summary>
-        /// 対象の行の請求先キーを取得する。
+        /// 終了ボタンクリック時のイベント
         /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private OrderersKey GetOrderersKey(int index)
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
         {
-            var cells = dgvMaster.Rows[index].Cells;
-            return new OrderersKey()
+            try
             {
-                OrderersDivision = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value),
-                OrderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value),
-            };
+                // 前プロセスに戻る
+                ClsExcute.BackProcess();
+
+                Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
+        #endregion
+
+        #region ラジオボタン（通年）選択時のイベント
         /// <summary>
         /// ラジオボタン（通年）選択時
         /// </summary>
@@ -3116,7 +1911,9 @@
                 DisplayData();
             }
         }
+        #endregion
 
+        #region ラジオボタン（月指定）選択時のイベント
         /// <summary>
         /// ラジオボタン（月指定）選択時
         /// </summary>
@@ -3126,7 +1923,9 @@
         {
             comboBox1.Enabled = true;
         }
+        #endregion
 
+        #region 表示条件．営業期設定時のイベント
         /// <summary>
         /// 表示条件．営業期設定時
         /// </summary>
@@ -3135,9 +1934,10 @@
         private void numericUpDown2_ValueChanged(object sender, EventArgs e)
         {
             DisplayData();
-
         }
+        #endregion
 
+        #region 表示条件．対象月設定時のイベント
         /// <summary>
         /// 表示条件．対象月設定時
         /// </summary>
@@ -3150,7 +1950,9 @@
                 DisplayData();
             }
         }
+        #endregion
 
+        #region 表示条件．部署設定時のイベント
         /// <summary>
         /// 表示条件．部署設定時
         /// </summary>
@@ -3158,8 +1960,6 @@
         /// <returns></returns>
         private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
         {
-
-
             // 担当者再取得
             comboBox3.SelectedIndexChanged -= new System.EventHandler(this.comboBox3_SelectedIndexChanged);
 
@@ -3170,10 +1970,10 @@
 
             // 一覧再取得
             DisplayData();
-
-
         }
+        #endregion
 
+        #region 表示条件．担当者設定時のイベント
         /// <summary>
         /// 表示条件．担当者設定時
         /// </summary>
@@ -3182,21 +1982,27 @@
         private void comboBox3_SelectedIndexChanged(object sender, EventArgs e)
         {
 
-            // 部署再取得
-            this.listDepartment = getDepartmentList(CommonMotions.cnvInt(comboBox3.SelectedValue));
+            // 選択した担当者を基に部署再取得
+            int iSelectedValue = CommonMotions.cnvInt(comboBox3.SelectedValue);
+            this.listDepartment = getDepartmentList(iSelectedValue);
 
-            comboBox2.SelectedIndexChanged -= new System.EventHandler(this.comboBox2_SelectedIndexChanged);
+            //担当者の部署にて、担当者コンボボックスの絞り込みを行う
+            //comboBox2.SelectedIndexChanged -= new System.EventHandler(this.comboBox2_SelectedIndexChanged);
 
             comboBox2.SelectedValue = listDepartment[1].Key;
 
-            comboBox2.SelectedIndexChanged += new System.EventHandler(this.comboBox2_SelectedIndexChanged);
+            //絞り込み前に選択した担当者を担当者コンボボックスに表示する(部署の絞り込み発動防止)
+            comboBox3.SelectedIndexChanged -= new System.EventHandler(this.comboBox3_SelectedIndexChanged);
+            comboBox3.SelectedValue = iSelectedValue;
+            comboBox3.SelectedIndexChanged += new System.EventHandler(this.comboBox3_SelectedIndexChanged);
 
+            //comboBox2.SelectedIndexChanged += new System.EventHandler(this.comboBox2_SelectedIndexChanged);
+
             // 一覧再取得
             DisplayData();
-
         }
+        #endregion
+        #endregion
 
-
-
     }
 }
\ No newline at end of file
